{% import "macro/form.twig" as form %}
<div class="container-fluid">
	<h2>Upload Answers</h2>
	<hr>
	{% if answers is defined %}
		<table class='table tbl-responsive'>
			<tr>
				<th>Q</th>
				<th>A</th>
			</tr>
			{% for ans in answers %}
				<tr>
					<td>{{ans.qno}}</td>
					<td>{{ans.ans|upper}}</td>
				</tr>
			{% endfor %}
		</table>
	{% else %}

		{% if quest =='' %}
			<form method="post">
				<div class="row">
					<div class="form-group col-md-12">
						{{form.input("Enter Total Number of Questions","quest","1","number")}}
						<button class="btn btn-primary fr">Add Answers</button>
					</div>
				</div>
			</form>
		{% else %}
			<form action="" method="post">
				<div class="row">
					<div class="form-group col-md-12">
						{{form.hidden("category",qpinfo[0])}}
						{{form.hidden("subject",qpinfo[2])}}
						{{form.hidden("title",qpinfo[3])}}
						{{form.hidden("type",qpinfo[4])}}
						{{form.hidden("action","add-ans")}}
						{% for i in 1 .. quest %}
							{{form.input("Ans "~i,"q"~i,"")}}
						{% endfor %}
						<button class="btn btn-primary fr">Save</button>
					</div>
				</div>
			</form>
		</div>
	{% endif %}

{% endif %}
